JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
juce::dsp::FilterDesign< FloatType >::IIRPolyphaseAllpassStructure Struct Reference
juce_dsp » filter_design

The structure returned by the function designIIRLowpassHalfBandPolyphaseAllpassMethod. More...

`#include <juce_FilterDesign.h>`

## Public Attributes
ReferenceCountedArray< IIRCoefficients > | directPath
ReferenceCountedArray< IIRCoefficients > | delayedPath
Array< double > | alpha

## Detailed Description

template<typename FloatType>
struct juce::dsp::FilterDesign< FloatType >::IIRPolyphaseAllpassStructure

The structure returned by the function designIIRLowpassHalfBandPolyphaseAllpassMethod.

The two first members of this structure directPath and delayedPath are arrays of IIR::Coefficients, made of polyphase second order allpass filters and an additional delay in the second array, that can be used in cascaded filters processed in two parallel paths, which must be summed at the end to get the high order efficient low-pass filtering. The last member is an array with the useful parameters for simulating the structure using any custom processing function.

## Member Data Documentation

## ◆ directPath

template<typename FloatType >

ReferenceCountedArray<IIRCoefficients> juce::dsp::FilterDesign< FloatType >::IIRPolyphaseAllpassStructure::directPath

## ◆ delayedPath

template<typename FloatType >

ReferenceCountedArray<IIRCoefficients> juce::dsp::FilterDesign< FloatType >::IIRPolyphaseAllpassStructure::delayedPath

## ◆ alpha

template<typename FloatType >

Array<double> juce::dsp::FilterDesign< FloatType >::IIRPolyphaseAllpassStructure::alpha

The documentation for this struct was generated from the following file:

- juce_FilterDesign.h